[SCM] debian-live/config-webc branch, squeeze, updated. 49ebe7d5f2d3881f3600e08449c1a47ef0274217

Kai Hendry hendry at iki.fi
Mon Sep 13 20:15:22 UTC 2010


The following commit has been merged in the squeeze branch:
commit 49ebe7d5f2d3881f3600e08449c1a47ef0274217
Author: Kai Hendry <hendry at iki.fi>
Date:   Mon Sep 13 22:17:24 2010 +0200

    Using very latest live- tools

diff --git a/webconverger/auto/config b/webconverger/auto/config
index 325233e..c32b6ef 100755
--- a/webconverger/auto/config
+++ b/webconverger/auto/config
@@ -5,7 +5,7 @@ MIRROR_DEBIAN="http://ftp.de.debian.org/debian"
 
 lh config noauto \
 	--apt-recommends false \
-	--bootappend-live "quiet homepage=http://portal.webconverger.com nonetworking noroot splash video=vesa:ywrap,mtrr vga=788 nopersistent quickreboot noautologin debug" \
+	--bootappend-live "quiet homepage=http://portal.webconverger.com nonetworking splash video=vesa:ywrap,mtrr vga=788 nopersistent quickreboot" \
 	--cache-stages "bootstrap rootfs" \
 	--debian-installer-distribution sid \
 	-k 486 \
@@ -27,5 +27,5 @@ lh config noauto \
 	--binary-indices false \
 	--win32-loader false \
 	--source false \
-	--repositories unofficial.debian-maintainers.org \
+	-r 'unofficial.debian-maintainers.org live.debian.net' \
 	${@}
diff --git a/webconverger/config/chroot_local-hooks/zzzminimal b/webconverger/config/chroot_local-hooks/zzzminimal
index 5f3598e..fee5b23 100755
--- a/webconverger/config/chroot_local-hooks/zzzminimal
+++ b/webconverger/config/chroot_local-hooks/zzzminimal
@@ -1,41 +1,42 @@
 #!/bin/sh
 
-# /usr/share/live-helper/hooks/minimal - hook list for live-helper(7)
-# Copyright (C) 2006-2009 Daniel Baumann <daniel at debian.org>
-#
-# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
-# This is free software, and you are welcome to redistribute it
-# under certain conditions; see COPYING for details.
+## live-build(7) - System Build Scripts
+## Copyright (C) 2006-2010 Daniel Baumann <daniel at debian.org>
+##
+## live-build comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
 
 set -e
 
-echo Removing unused packages
-for PACKAGE in apt-utils aptitude man-db manpages info libxapian15 grub grub-common vim-common vim-tiny \
-	tcpd netcat-traditional gcc gcc-4.1 gcc-4.1-base gcc-4.2 gcc-4.2-base xserver-xorg-video-dummy ed dmidecode menu \
-	samba-common dbus rsyslog nano linux-headers-2.6 console-setup
+# Removing unused packages
+for PACKAGE in apt-utils aptitude man-db manpages info dselect
 do
-	if apt-get remove --purge --yes "${PACKAGE}"
+	if ! apt-get remove --purge --yes "${PACKAGE}"
 	then
-		apt-get autoremove --yes || true
-	else
 		echo "WARNING: ${PACKAGE} isn't installed"
 	fi
 done
 
-apt-get clean
+apt-get autoremove --yes || true
 
-echo Removing unused files
-find . -name *~ -print0 | xargs -0 rm -f
+# Removing unused files
+find . -name *~ | xargs rm -f
 
 rm -rf /usr/include/*
+#rm -rf /usr/share/groff/*
 rm -rf /usr/share/doc/*
+rm -rf /usr/share/locale/*
 rm -rf /usr/share/man/*
+rm -rf /usr/share/i18n/*
 rm -rf /usr/share/info/*
 rm -rf /usr/share/lintian/*
 rm -rf /usr/share/linda/*
+rm -rf /usr/share/zoneinfo/*
 rm -rf /var/cache/man/*
 
-echo Truncating logs
+# Truncating logs
 for FILE in $(find /var/log/ -type f)
 do
 	: > ${FILE}

-- 
debian-live/config-webc



More information about the debian-live-changes mailing list